from Feature_Extractor import Feature_Extractor as FE
from glob import glob

all_features = []

fe = FE()

for file in glob('./xmls/*'):
    fe.extract_xml_features(file)

    all_features.append(fe.extract_all_xml_features(file))
    all_features[len(all_features) - 1].append(file.split('/')[-1])

for file in glob('./raw/*'):
    fe.extract_raw_features(file)
    all_features.append(fe.extract_all_raw_features(file))
    all_features[len(all_features) - 1].append(file.split('/')[-1])

#extract all features
FE.save_all_features_to_csv(all_features)

#extract selected features for detection trojans
fe.save_csv_file()


